> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledgersyncappv2.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all employees for the given customer



## OpenAPI

````yaml /openapi-v2.json get /api/v2/employee/list
openapi: 3.1.0
info:
  title: LedgerSync V2 API
  version: '2.0'
servers:
  - url: https://ledgersyncappv2.com
    description: Production
  - url: https://staging.ledgersyncappv2.com
    description: Sandbox
security: []
tags:
  - name: account-api
    description: Account REST APIs
  - name: password-api
    description: Password REST APIs
  - name: transaction-api
    description: Transaction REST APIs
  - name: phone-verification-api
    description: Phone Verification REST APIs
  - name: employee-api
    description: Employee REST APIs
  - name: client-api
    description: Client REST APIs
  - name: check-api
    description: Check REST APIs
  - name: accounting-ai-api
    description: AI rule suggestion endpoints for external accounting integrations
  - name: institution-api
    description: Institution REST APIs
  - name: statement-api
    description: Statement REST APIs
  - name: authentication-api
    description: Auth REST APIs
paths:
  /api/v2/employee/list:
    get:
      tags:
        - employee-api
      summary: List all employees for the given customer
      operationId: getEmployees
      parameters:
        - name: Auth-Token
          in: header
          description: Authentication token provided during the authentication process
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Employees data
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/EmployeeListResponse'
        '403':
          description: You are not allowed to list employees
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/EmployeeListResponse'
components:
  schemas:
    EmployeeListResponse:
      type: object
      properties:
        employees:
          type: array
          items:
            $ref: '#/components/schemas/EmployeeDto'
    EmployeeDto:
      type: object
      properties:
        id:
          type: integer
          format: int64
        employeeName:
          type: string
        dateCreated:
          type: string
        email:
          type: string
        locked:
          type: string
        username:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.